Page MenuHomePhabricator

Should throw an exception if WikiEditor is not installed
Closed, ResolvedPublic0 Estimated Story Points

Description

Since CodeEditor depends on WikiEditor, it should yell at you if you try to use it without WikiEditor.


Version: unspecified
Severity: normal

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:11 AM
bzimport set Reference to bz65072.
bzimport added a subscriber: Unknown Object (MLST).

I'm planning on removing that dependency after fixing bug 45850

TheDJ moved this task from Backlog to Up next on the CodeEditor board.Jun 26 2015, 9:39 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptFeb 8 2017, 4:43 PM

Change 336038 had a related patch set uploaded (by Jforrester):
CodeEditor should fail if WikiEditor is not available

https://gerrit.wikimedia.org/r/336038

Jdforrester-WMF added a project: VisualEditor.
Jdforrester-WMF set the point value for this task to 0.

Change 336038 merged by jenkins-bot:
[mediawiki/extensions/CodeEditor] CodeEditor should fail if WikiEditor is not available

https://gerrit.wikimedia.org/r/336038

Jdforrester-WMF closed this task as Resolved.Mar 10 2017, 1:35 AM
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 10 2017, 1:35 AM